<?php

namespace Factory;

use Teknisa\Model\Teknisa\Entities\OmProdutoOrgVersao as OmProdutoOrgVersaoEntity;
use Teknisa\Model\Util\NovoCodigo;

class OmProdutoOrgVersao {

    public function save(OmProdutoOrgVersaoEntity $omProdutoOrgVersao = null, $omProdutoOrgId, $productVersionId,
                         $idAtivo, $actualDate, $cdOperador, $nrOrg) {
        if(!$omProdutoOrgVersao) {
            $omProdutoOrgVersao = new OmProdutoOrgVersaoEntity();
            $novoCodigo = NovoCodigo::geraCodigo($nrOrg, 'OM_PRODUTO_ORG_VERSAO', 1, 10, true);
            $omProdutoOrgVersao->setId($novoCodigo);
            $omProdutoOrgVersao->setDtinclusao($actualDate);
            $omProdutoOrgVersao->setCdoperinclusao($cdOperador);
            $omProdutoOrgVersao->setNrorginclusao($nrOrg);
            $omProdutoOrgVersao->setNrorg($nrOrg);
        }

        $omProdutoOrgVersao->setNrprodutoOrgId($omProdutoOrgId);
        $omProdutoOrgVersao->setProductVersionId($productVersionId);
        $omProdutoOrgVersao->setIdativo($idAtivo);
        $omProdutoOrgVersao->setDtultatu($actualDate);
        $omProdutoOrgVersao->setCdoperultatu($cdOperador);
        $omProdutoOrgVersao->setNrorgultatu($nrOrg);

        return $omProdutoOrgVersao;
    }
} 